      program readdata
*     Programme to read the voxel phantom data from ASCII file
*     AF.dat and store them in a three-dimensional array of
*     organ identification numbers
      dimension norgin(300),nodum(16),noid(300,200,350)
*     Number of columns, rows and slices:
      ncol=299
      nrow=137
      nsli=348
      open (10,file='AF.dat')
*     Read phantom file, assign organ identification numbers to 
*     array positions
*     The organ identification numbers are stored in portions of 16, 
*     but the number of columns is not a multiple of 16.
*     Therefore, when ncol OIDs are read, this ends right in the
*     middle of a line, and the rest is ignored. Therefore, the next
*     "read" statement has to account for this; the last line that
*     has been read only partially, has to be read again, whereby
*     that first part that has been registered already needs to be
*     skipped. Therefore, the number "ndum" of these items has to be
*     tracked.
      write (6,'('' Reading of phantom file started'')')
      nrorea=ncol/16
      ndifcol=ncol-16*nrorea
      ndum=0
      do 40 nsl=1,nsli
      do 40 nr=1,nrow
      if (ndum.ne.0) then
	  backspace (10)
          read (10,*) (nodum(i),i=1,ndum), (norgin(i),i=1,ncol)
      else
          read (10,*) (norgin(i),i=1,ncol)
      endif
      do 30 nc=1,ncol
      noid(nc,nr,nsl)=norgin(nc)
   30 continue
      ndum=ndum+ndifcol
      if (ndum.ge.16) ndum=ndum-16
   40 continue
      write (6,'(''   ... finished'')')
      close (10)
      end